* {
  margin: 0;
  padding: 0; }

body {
  background-color: #262626; }

.hamburger-menu {
  width: 40px;
  height: 40px;
  position: fixed;
  right: 5%;
  z-index: 300; }
  .hamburger-menu .menu {
    height: 100%;
    width: 100%;
    margin-top: 65px;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    cursor: pointer;
    transition: transform .5s; }
    .hamburger-menu .menu-line {
      width: 100%;
      height: 4px;
      background-color: #d3ab55;
      transform-origin: right;
      transition: all .5s .5s; }
      @media (max-width: 800px) {
        .hamburger-menu .menu-line {
          height: 3px; } }
      @media (max-width: 500px) {
        .hamburger-menu .menu-line {
          height: 2px; } }

.logo {
  font-size: 70px;
  color: #d3ab55;
  width: 110px;
  height: 110px;
  border: 3px solid #d3ab55;
  border-radius: 50%;
  margin-right: 20px;
  display: flex;
  justify-content: center;
  align-items: center; }
  @media (max-width: 1000px) {
    .logo {
      font-size: 50px;
      width: 90px;
      height: 90px; } }
  @media (max-width: 500px) {
    .logo {
      font-size: 30px;
      width: 50px;
      height: 50px;
      border-width: 2px; } }

.main-name {
  font-family: "Nunito", sans-serif;
  font-size: 50px;
  color: #bbb;
  font-weight: 300;
  letter-spacing: 2px;
  text-transform: uppercase; }
  @media (max-width: 1000px) {
    .main-name {
      font-size: 40px; } }
  @media (max-width: 500px) {
    .main-name {
      font-size: 30px;
      text-align: center; } }

.sub-name {
  font-family: "josefin Sans", sans-serif;
  font-size: 18px;
  color: #bbb;
  font-weight: 300;
  letter-spacing: 2px;
  text-transform: uppercase;
  text-align: center; }
  @media (max-width: 1000px) {
    .sub-name {
      font-size: 15px; } }
  @media (max-width: 500px) {
    .sub-name {
      font-size: 13px;
      text-align: center; } }

.main-heading {
  font-family: "josefin Sans", sans-serif;
  font-size: 120px;
  font-weight: 300;
  color: #d3ab55;
  margin-bottom: 40px;
  text-align: center; }
  @media (max-width: 1600px) {
    .main-heading {
      font-size: 80px; } }
  @media (max-width: 1000px) {
    .main-heading {
      font-size: 55px;
      margin-bottom: 30px; } }
  @media (max-width: 700px) {
    .main-heading {
      font-size: 45px;
      margin-bottom: 30px; } }
  @media (max-width: 600) {
    .main-heading {
      font-size: 32px;
      margin-bottom: 26px; } }
  @media (max-width: 550px) {
    .main-heading {
      font-size: 30px;
      margin-bottom: 23px; } }
  @media (max-width: 500px) {
    .main-heading {
      font-size: 28px;
      margin-bottom: 22px; } }

.sub-heading {
  font-family: "Dancing Script", cursive;
  font-size: 60px;
  font-weight: 300;
  color: #bbb;
  text-align: center;
  margin-bottom: 40px; }
  @media (max-width: 1600px) {
    .sub-heading {
      font-size: 50px; } }
  @media (max-width: 1000px) {
    .sub-heading {
      font-size: 35px;
      margin-bottom: 30px; } }
  @media (max-width: 700px) {
    .sub-heading {
      font-size: 30px;
      margin-bottom: 28px; } }
  @media (max-width: 600px) {
    .sub-heading {
      font-size: 25px;
      margin-bottom: 25px; } }
  @media (max-width: 550px) {
    .sub-heading {
      font-size: 20px;
      margin-bottom: 22px; } }
  @media (max-width: 500px) {
    .sub-heading {
      font-size: 18px;
      margin-bottom: 20px; } }

.main-btn {
  width: 170px;
  height: 45px;
  font-family: "josefin Sans", sans-serif;
  font-size: 14px;
  text-transform: uppercase;
  letter-spacing: 1px;
  color: #d3ab55;
  background-color: transparent;
  border: 1px solid #d3ab55;
  outline: none;
  cursor: pointer;
  transition: all 1s;
  align-items: center;
  margin-left: 31%; }
  .main-btn:hover {
    background-color: #d3ab55;
    color: #262626; }
  @media (max-width: 700px) {
    .main-btn {
      width: 140px;
      height: 30px;
      font-size: 12px; } }
  @media (max-width: 600px) {
    .main-btn {
      width: 120px;
      height: 24px;
      font-size: 10px; } }
  @media (max-width: 550px) {
    .main-btn {
      width: 120px;
      height: 23px;
      font-size: 9px; } }

.main-btn1 {
  width: 170px;
  height: 45px;
  font-family: "josefin Sans", sans-serif;
  font-size: 14px;
  text-transform: uppercase;
  letter-spacing: 1px;
  color: #d3ab55;
  background-color: transparent;
  border: 1px solid #d3ab55;
  outline: none;
  cursor: pointer;
  transition: all 1s;
  text-align: center; }
  .main-btn1:hover {
    background-color: #d3ab55;
    color: #262626; }
  @media (max-width: 700px) {
    .main-btn1 {
      width: 140px;
      height: 30px;
      font-size: 12px; } }
  @media (max-width: 600px) {
    .main-btn1 {
      width: 120px;
      height: 24px;
      font-size: 10px; } }
  @media (max-width: 550px) {
    .main-btn1 {
      width: 120px;
      height: 23px;
      font-size: 9px; } }

.card {
  width: 33.3333%;
  height: 30vw;
  position: relative;
  overflow: hidden; }
  .card:hover .card-overlay {
    left: 0; }
  .card-overlay {
    transition: left 1s;
    position: absolute;
    left: -100%;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(211, 171, 85, 0.6);
    color: #fff;
    z-index: 10;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column; }
    .card-overlay-heading {
      font-family: "Nunito", sans-serif;
      font-size: 50px;
      font-weight: 300;
      letter-spacing: 2px;
      text-transform: uppercase; }
    .card-overlay-paragraph {
      font-family: "Nunito", sans-serif;
      font-size: 30px;
      font-weight: 300;
      letter-spacing: 2px;
      margin-bottom: 30px;
      text-transform: uppercase; }
    .card-overlay-btn {
      width: 150px;
      height: 40px;
      color: #d3ab55;
      background-color: #fff;
      font-family: "josefin Sans", sans-serif;
      font-size: 14px;
      font-weight: bold;
      letter-spacing: 1px;
      border: 1px solid #d3ab55;
      border-radius: 30px;
      outline: none;
      cursor: pointer; }
  .card-img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    opacity: .5; }

.gallery .cards-wrapper {
  display: flex;
  flex-wrap: wrap; }

.header {
  width: 100%;
  height: 100vh;
  position: relative;
  background: linear-gradient(rgba(0, 0, 0, 0.8), rgba(0, 0, 0, 0.6)), url(../image/IMG-20240124-WA0004.jpg) center no-repeat;
  background-size: cover; }
  .header .brand {
    position: absolute;
    top: 15%;
    left: 50%;
    transform: translate(-50%, -50%);
    display: flex;
    align-items: center;
    color: #fff; }
  .header-banner {
    position: absolute;
    top: 55%;
    left: 50%;
    transform: translate(-50%, -50%);
    color: #fff; }

.about-us {
  height: 99vh;
  display: flex;
  align-items: center; }
  .about-us-left {
    width: 40%;
    position: relative;
    left: 0px;
    bottom: -20px;
    height: auto; }
    .about-us-left img {
      width: 100%;
      opacity: .7; }
  .about-us-right {
    width: 60%;
    display: flex;
    flex-direction: column;
    align-items: center;
    box-sizing: border-box;
    padding: 0 100px; }
    .about-us-right .stars {
      margin: 15px; }
    .about-us-right .star {
      font-size: 15px;
      color: #d3ab55;
      margin-left: 10px; }
      @media (max-width: 700px) {
        .about-us-right .star {
          font-size: 8px; } }
    .about-us-right .description {
      font-family: "josefin Sans", sans-serif;
      font-size: 25px;
      font-style: italic;
      color: #bbb;
      text-align: justify; }
      .about-us-right .description::first-letter {
        padding-left: 50px; }
      @media (max-width: 1000px) {
        .about-us-right .description {
          font-size: 18px; } }
      @media (max-width: 700px) {
        .about-us-right .description {
          font-size: 16px; } }
      @media (max-width: 600px) {
        .about-us-right .description {
          font-size: 14px; } }
      @media (max-width: 500px) {
        .about-us-right .description {
          font-size: 13px; } }

.footer {
  padding: 70px 0;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column; }
  .footer-header {
    display: flex;
    align-items: center;
    margin-bottom: 70px; }
  .footer .social-media {
    display: flex;
    width: 350px;
    font-size: larger;
    justify-content: space-between;
    margin-bottom: 70px; }
    .footer .social-media-item {
      list-style: none; }
    .footer .social-media-link {
      text-decoration: none;
      color: #bbb;
      transition: color 0.7s; }
      .footer .social-media-link:hover {
        color: red; }
  .footer-copyright-paragraph {
    font-family: "josefin Sans", sans-serif;
    font-size: 18px;
    color: #bbb;
    font-weight: 300;
    letter-spacing: 2px;
    text-transform: uppercase; }

.navbar {
  position: relative;
  z-index: 200; }
  .navbar-navigation {
    display: flex; }
    .navbar-navigation-left {
      width: 50vw;
      height: 100vh;
      background-color: #262626;
      position: fixed;
      left: -100vw;
      transition: left 1s cubic-bezier(1, 0, 0, 1); }
      .navbar-navigation-left .left-img {
        width: 300px;
        position: absolute;
        box-shadow: 0 15px 60px rgba(38, 38, 38, 0.4);
        opacity: .7;
        border-radius: 10px; }
      .navbar-navigation-left .left-img-1 {
        top: 15%;
        left: 15%; }
      .navbar-navigation-left .left-img-2 {
        top: 35%;
        left: 25%; }
      .navbar-navigation-left .left-img-3 {
        top: 55%;
        left: 35%; }
    .navbar-navigation-right {
      width: 50vw;
      height: 100vh;
      background-color: #1f1d1d;
      position: fixed;
      right: -100vw;
      transition: right 1s cubic-bezier(1, 0, 0, 1);
      display: flex;
      justify-content: center;
      align-items: center; }
    .navbar-navigation .nav-list-item {
      list-style: none; }
    .navbar-navigation .nav-list-link {
      font-family: "Dancing Script", cursive;
      font-size: 50px;
      text-decoration: none;
      font-weight: 300;
      letter-spacing: 2px;
      text-transform: capitalize;
      color: #bbb;
      display: block;
      margin: 20px;
      text-align: center; }
      .navbar-navigation .nav-list-link:hover {
        color: #d3ab55;
        letter-spacing: 4px; }

.checkbox:checked ~ .navbar-navigation .navbar-navigation-left {
  left: 0; }

.checkbox:checked ~ .navbar-navigation .navbar-navigation-right {
  right: 0; }

.checkbox:checked ~ .hamburger-menu .menu {
  transform: rotateZ(90deg); }

.checkbox:checked ~ .hamburger-menu .menu-line-1 {
  transform: rotateZ(-40deg); }

.checkbox:checked ~ .hamburger-menu .menu-line-2 {
  opacity: 0; }

.checkbox:checked ~ .hamburger-menu .menu-line-3 {
  transform: rotateZ(40deg); }
